class_name BalleDeFeu
extends Balle


const DEGATS_FEU: int = 5
const BalleDeFeuScene: PackedScene = preload("res://composants/objets/balle/balle_de_feu/balle_de_feu.tscn")


## La balle de feu fait plus de degats
func _impacter_brique(brique: Brique) -> void:
	brique.frapper(DEGATS_FEU)


## Transforme une balle quelconque en balle de feu
static func transformer(balle: Balle) -> void:
	var balle_de_feu: BalleDeFeu = BalleDeFeuScene.instantiate()
	balle.add_sibling(balle_de_feu)
	balle_de_feu.recopier(balle)
	balle.queue_free()
